2007-04-19  Love Hörnquist Åstrand  <lha@it.su.se>

	* make encoding function independent of krb4 and krb5, enable
	removal of krb4

2006-10-07  Love Hörnquist Åstrand  <lha@it.su.se>

	* Makefile.am: Add man_MANS to EXTRA_DIST
	
2006-05-05  Love Hörnquist Åstrand  <lha@it.su.se>
	
	* Rename u_intXX_t to uintXX_t
	
2005-07-09  Love Hörquist Åstrand  <lha@it.su.se>
	
	* kxd.c (doit): only cleaup for active sockets, passive does it
	own cleaning up

	* fix unconst and shadow warnings
	
2005-07-07  Assar Westerlund  <assar@kth.se>

	* krb4.c: Do not assume that des_key_schedule is an
	array.

2005-06-07  Love Hörquist Åstrand  <lha@it.su.se>

	* (recv_conn): init variables to using them uninitialized

2005-04-30  Love Hörquist Åstrand  <lha@it.su.se>

	* kx.c (connect_host): make sure s is initialized
	
2005-04-20  Love Hörquist Åstrand  <lha@it.su.se>

	* krb5.c: cast size_t to unsigned long
	
2004-03-15  Love Hörquist Åstrand  <lha@it.su.se>

	* krb5.c (krb5_destroy): free allocated memory, not something else
	
2004-03-07  Love Hörquist Åstrand  <lha@it.su.se>

	* rxtelnet.1: document new behavior
	
	* rxtelnet.in: even if kx failes, start anyway From: Harald Barth
	<haba@pdc.kth.se>
	
2004-02-18  Love Hörquist Åstrand  <lha@it.su.se>

	* krb4.c: remove dup on
	
2004-01-08  Love Hörquist Åstrand  <lha@it.su.se>

	* krb5.c: clean up krb5 support, log to syslog instead of stdout
	(very confusing for the other end tcp connection), patch
	originally from joda

2003-11-13  Johan Danielsson  <joda@pdc.kth.se>

	* rxtelnet.in: add telnet -F option

2003-05-15  Love Hörquist Åstrand  <lha@it.su.se>

	* kxd.c (recv_conn): pass pointer to sockaddr, not pointer to
	pointer

	* kxd.c (recv_conn): get sizeof of the sockaddr_storage, not the
	sockaddr pointer

	* kxd.c (recv_conn): if getnameinfo failes, send error to client
	(and syslog)

2003-04-16  Johan Danielsson  <joda@pdc.kth.se>

	* kx.c (doit_{passive,active}): use kc->thataddr directly

	* kx.h: don't directly use sockaddr_storage, since we can't always
	know what it looks like

2003-04-11  Love Hörquist Åstrand  <lha@it.su.se>

	* rxterm.1: spelling, from jmc <jmc@prioris.mini.pw.edu.pl>
	* rxtelnet.1: spelling, from jmc <jmc@prioris.mini.pw.edu.pl>
	* kxd.8: spelling, from jmc <jmc@prioris.mini.pw.edu.pl>
	* kx.1: spelling, from jmc <jmc@prioris.mini.pw.edu.pl>
	
2003-02-25  Love Hörquist Åstrand  <lha@it.su.se>

	* krb4.c: remove \n from warnx, from NetBSD
	
2002-12-11  Johan Danielsson  <joda@pdc.kth.se>

	* kx.c (connect_host): pass size of thisaddr_ss to getsockname

2002-10-15  Johan Danielsson  <joda@pdc.kth.se>

	* some ipv6 support (from Love)

2002-09-09  Johan Danielsson  <joda@pdc.kth.se>

	* krb5.c (krb5_authenticate): use subkey

2002-08-22  Johan Danielsson  <joda@pdc.kth.se>

	* common.c: remove only reference to strndup

2002-05-07  Johan Danielsson  <joda@pdc.kth.se>

	* krb5.c: use krb5_warn where appropriate

2002-03-18  Johan Danielsson  <joda@pdc.kth.se>

	* rxtelnet.in, rxterm.in: add forward (-f) option

2001-09-17  Assar Westerlund  <assar@sics.se>

	* kx.h: add a kludge to make it build on aix (that defines NOERROR
	in both sys/stream.h and arpa/nameser.h and considers that a fatal
	error)

2001-07-12  Assar Westerlund  <assar@sics.se>

	* common.c (connect_local_xsocket): handle a tcp socket as last
	resort

	* rxterm.in: add -K (send arguments to kx)
	* rxtelnet.in: add -K (send arguments to kx)
	
2001-06-21  Assar Westerlund  <assar@sics.se>

	* rxterm.in: add -b for pointing to the rsh program.  from
	<mikan@mikan.net>
	* rxtelnet.in: add -b for pointing to the telnet program.  from
	<mikan@mikan.net>

2001-01-17  Johan Danielsson  <joda@pdc.kth.se>

	* common.c: don't write to string constants

2000-12-31  Assar Westerlund  <assar@sics.se>

	* krb5.c (krb5_make_context): handle krb5_init_context failure
	consistently

2000-10-08  Assar Westerlund  <assar@sics.se>

	* kxd.c (doit_passive): check that fds are not too large to select
	on
	* kx.c (doit_active): check that fds are not too large to select
	on
	* krb5.c (krb5_copy_encrypted): check that fds are not too large
	to select on
	* krb4.c (krb4_copy_encrypted): check that fds are not too large
	to select on

2000-07-17  Johan Danielsson  <joda@pdc.kth.se>

	* Makefile.am: use conditional for X

2000-06-10  Assar Westerlund  <assar@sics.se>

	* Makefile.in: use INSTALL_SCRIPT for installing rxterm, rxtelnet,
	tenletxr

2000-04-19  Assar Westerlund  <assar@sics.se>

	* common.c: try hostname uncanonified if getaddrinfo() fails

2000-02-06  Assar Westerlund  <assar@sics.se>

	* kx.h: remove old prorotypes

2000-01-08  Assar Westerlund  <assar@sics.se>

	* common.c (match_local_auth): handle ai_canonname being set in
	any of the addresses returnedby getaddrinfo.  glibc apparently
	returns the reverse lookup of every address in ai_canonname.

1999-12-28  Assar Westerlund  <assar@sics.se>

	* kxd.c (main): call krb5_getportbyname with the default in
 	host-byte-order

1999-12-17  Assar Westerlund  <assar@sics.se>

	* common.c (match_local_auth): remove extra brace.  spotted by
 	Jakob Schlyter <jakob@cdg.chalmers.se>

1999-12-16  Assar Westerlund  <assar@sics.se>

	* common.c (match_local_auth): handle ai_canonname not being set

1999-12-06  Assar Westerlund  <assar@sics.se>

	* krb4.c (krb4_authenticate): the NAT address might not be the one
	for the relevant realm, try anyway.
	* kxd.c (recv_conn): type correctness
	* kx.c (connect_host): typo

1999-12-05  Assar Westerlund  <assar@sics.se>

	* common.c (INADDR_LOOPBACK): remove.  now in roken.

	* kxd.c (recv_conn): use getnameinfo_verified
	* kxd.c (recv_conn): replace inaddr2str with getnameinfo

1999-12-04  Assar Westerlund  <assar@sics.se>

	* kx.c (connect_host): use getaddrinfo
	* common.c (find_auth_cookie, match_local_auth): re-write to use
	getaddrinfo

1999-11-27  Assar Westerlund  <assar@sics.se>

	* kxd.c (recv_conn): better errors when getting unrecognized data

1999-11-25  Assar Westerlund  <assar@sics.se>

	* krb4.c (krb4_authenticate): obtain the `local' address when
	doing NAT.  also turn on passive mode.  From <thn@stacken.kth.se>
	
1999-11-18  Assar Westerlund  <assar@sics.se>

	* krb5.c (krb5_destroy): free the correct part of the context
	
1999-11-02  Assar Westerlund  <assar@sics.se>

	* kx.c (main): redo the v4/v5 selection for consistency.  -4 ->
 	try only v4 -5 -> try only v5 none, -45 -> try v5, v4

1999-10-10  Assar Westerlund  <assar@sics.se>

	* Makefile.am (CLEANFILES): add generated files so that they get
 	cleaned away

1999-09-29  Assar Westerlund  <assar@sics.se>

	* common.c (match_local_auth): only look for FamilyLocal (and
 	FamilyWild) cookies.  This will not work when we start talking tcp
 	to the local X-server but `connect_local_xsocket' and the rest of
 	the code doesn't handle it anyway and the old code could (and did)
 	pick up the wrong cookie sometimes.  If we have to match
 	FamilyInternet cookies, the search order has to be changed anyway

1999-09-02  Assar Westerlund  <assar@sics.se>

	* kxd.c (childhandler): watch for child `wait_on_pid' to die.
	(recv_conn): set `wait_on_pid' instead of looping on waitpid here
	also.  This should solve the problem of kxd looping which was
 	caused by the signal handler getting invoked before this waitpid
 	and reaping the child leaving this poor loop without any child

1999-08-19  Assar Westerlund  <assar@sics.se>

	* kxd.c (recv_conn): give better error message
	(doit_active): don't die if fork gives EAGAIN

1999-08-19  Johan Danielsson  <joda@pdc.kth.se>

	* kxd.c (recv_conn): call setjob on crays;
	(doit_passive): if fork fails with EAGAIN, don't shutdown, just close
	the connection re-implement `-t' flag

1999-07-12  Assar Westerlund  <assar@sics.se>

	* Makefile.am: handle not building X programs

1999-06-23  Assar Westerlund  <assar@sics.se>

	* kx.c: conditionalize krb_enable_debug

1999-06-20  Assar Westerlund  <assar@sics.se>

	* kxd.c (main): hopefully do inetd confusion right

1999-06-15  Assar Westerlund  <assar@sics.se>

	* krb4.c (krb4_authenticate): get rid of a warning

	* kx.h: const-pollution

	* kx.c: use get_default_username and resulting const pollution

	* context.c (context_set): const pollution

1999-05-22  Assar Westerlund  <assar@sics.se>

	* kxd.c (recv_conn): fix syslog messages
	(main): fix inetd_flag thinko

1999-05-21  Assar Westerlund  <assar@sics.se>

	* kx.c (main): don't byte-swap the argument to krb5_getportbyname

	* kx.c (main): try to use $USERNAME

1999-05-10  Assar Westerlund  <assar@sics.se>

	* Makefile.in (SOURCES*): update sources list
	
	* kx.c (main): forgot to conditionalize some KRB5 code
	
	* kxd.c (main): use getarg
	(*): handle v4 and/or v5

	* kx.h: update
	
	* kx.c (main): use getarg.
	(*): handle v4 and/or v5

	* common.c (do_enccopy, copy_encrypted): remove use
	net_{read,write} instead of krb_net_{read,write}
	(krb_get_int, krb_put_int): include fallback of these for when we
	compile without krb4
	
	* Makefile.am (*_SOURCES): remove encdata, add krb[45].c,
	context.c
	(LDADD): add krb5

	* krb4.c, krb5.c, context.c: new files

1999-05-08  Assar Westerlund  <assar@sics.se>

	* kxd.c (doit_passive): handle error code from
 	create_and_write_cookie

	* kx.c (doit_active): handle error code from
 	create_and_write_cookie

	* common.c (create_and_write_cookie): try to return better (and
 	correct) errors.  Based on a patch from Love <lha@e.kth.se>

	* common.c (try_pie): more braces
	(match_local_auth): new function
	(find_auth_cookie): new function
	(replace_cookie): don't just take the first auth cookie.  based on
	patch from Ake Sandgren <ake@@cs.umu.se>

Wed Apr  7 23:39:23 1999  Assar Westerlund  <assar@sics.se>
	
	* common.c (get_xsockets): init local variable to get rid of a gcc
 	warning

Thu Apr  1 21:11:36 1999  Johan Danielsson  <joda@hella.pdc.kth.se>

	* Makefile.in: fix for writeauth.o

Fri Mar 19 15:12:31 1999  Johan Danielsson  <joda@hella.pdc.kth.se>

	* kx.c: add gcc-braces

Thu Mar 18 11:18:20 1999  Johan Danielsson  <joda@hella.pdc.kth.se>

	* Makefile.am: include Makefile.am.common

Thu Mar 11 14:58:32 1999  Johan Danielsson  <joda@hella.pdc.kth.se>

	* writeauth.c: protoize

	* common.c: fix some warnings

Wed Mar 10 19:33:39 1999  Johan Danielsson  <joda@hella.pdc.kth.se>

	* kxd.c: openlog -> roken_openlog

Wed Feb  3 22:01:55 1999  Assar Westerlund  <assar@sics.se>

	* rxtelnet.in: print out what telnet program we are running.  From
 	<nissej@pdc.kth.se>

	* tenletxr.in: add --version, [-h | --help], -v

	* rxterm.in: add --version, [-h | --help], -v

	* rxtelnet.in: add --version, [-h | --help], -v

	* Makefile.in (rxterm, rxtelnet, telnetxr): substitute VERSION and
 	PACKAGE

	* rxtelnet.in: update usage string

Fri Jan 22 23:51:05 1999  Assar Westerlund  <assar@sics.se>

	* common.c (verify_and_remove_cookies): give back a meaningful
 	error message if we're using the wrong cookie

Fri Dec 18 17:42:02 1998  Assar Westerlund  <assar@sics.se>

	* common.c (replace_cookie): try to handle the case of not finding
 	any cookies

Sun Nov 22 10:31:53 1998  Assar Westerlund  <assar@sics.se>

	* Makefile.in (WFLAGS): set

Wed Nov 18 20:25:37 1998  Assar Westerlund  <assar@sics.se>

	* rxtelnet.in: new argument -n for not starting any terminal
 	emulator

	* kx.c (doit_passive): parse $DISPLAY correctly

Fri Oct  2 06:34:51 1998  Assar Westerlund  <assar@sics.se>

	* kx.c (doit_active): check DISPLAY to figure out what local
 	socket to connect to.  From Åke Sandgren <ake@cs.umu.se>

Thu Oct  1 23:02:29 1998  Johan Danielsson  <joda@hella.pdc.kth.se>

	* kx.h: case MAY_HAVE_X11_PIPES with Solaris

Tue Sep 29 02:22:44 1998  Assar Westerlund  <assar@sics.se>

	* kx.c: fix from Ake Sandgren <ake@cs.umu.se>

Mon Sep 28 18:04:03 1998  Johan Danielsson  <joda@hella.pdc.kth.se>

	* common.c (try_pipe): return -1 if I_PUSH fails with ENOSYS

Sat Sep 26 17:34:21 1998  Assar Westerlund  <assar@sics.se>

	* kxd.c: create sockets before setuid to handle Solaris' strange
 	permissions on /tmp/.X11-{unix,pipe}

	* common.c (chown_xsockets): new function

	* kx.h (chown_xsockets): new prototype

Sun Aug 16 18:34:30 1998  Assar Westerlund  <assar@sics.se>

	* kxd.c (doit_passive): conditionalize stream pipe code

	* implement support for Solaris's named-pipe X transport

Thu May 28 17:20:39 1998  Johan Danielsson  <joda@emma.pdc.kth.se>

	* common.c: fix for (compiler?) bug in solaris 2.4 bind

	* kx.c: get_xsockets returns int, not unsigned

Wed May 27 04:20:20 1998  Assar Westerlund  <assar@sics.se>

	* kxd.c (doit): better error reporting

Tue May 26 17:41:23 1998  Johan Danielsson  <joda@emma.pdc.kth.se>

	* kx.c: use krb_enable_debug

Mon May 25 05:22:18 1998  Assar Westerlund  <assar@sics.se>

	* Makefile.in (clean): remove encdata.c

Fri May  1 07:16:36 1998  Assar Westerlund  <assar@sics.se>

	* kx.c: unifdef -DHAVE_H_ERRNO

